<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEventHealthAllowancesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('event_health_allowances', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('disease_type');
            $table->text('hospital_name');
            $table->text('name');
            $table->text('twid');
            $table->text('phone');
            $table->text('email');
            $table->text('address');
            $table->text('record_card_img_src');
            $table->text('twid_front_img_src');
            $table->text('twid_back_img_src');
            $table->text('exam_1st_img_src');
            $table->text('exam_2nd_img_src');
            $table->integer('check_state')->default(0);
            $table->text('check_reson')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('event_health_allowances');
    }
}
